Back to home page

DOS ain't dead

Forum index page

Log in | Register

Back to the forum
Board view  Mix view

Doom (Announce)

posted by glennmcc(R) Homepage E-mail, North Jackson, Ohio (USA), 29.07.2015, 00:50

> > DANG !!!
> > Checked the sys req at ID software.... my newest most high-end machine
> is
> > nowhere near the specs needed to run the up-coming Doom4. :(
> > As with all others... ID software seems to have gone overboard. :(
>
> What do you mean by hiend machine? I can see that min. sysreq is core i5
> 2500 sandybridge, about 5 years old? Some overclocked i7 2600 should be
> enough. Here you can check your system
> http://www.game-debate.com/games/index.php?g_id=627&game=Doom%204#systemrequirements

My newest DOS machine is a P-4 from 2004

Even my newer Linux machine is an Intel core2 circa 2008

In addition.... this new DOOM requires WinCrap which I have rid myself of
and REFUSE to ever have again.

---
--
http://glennmcc.org/

 

Complete thread:

Back to the forum
Board view  Mix view
15108 Postings in 1358 Threads, 247 registered users, 17 users online (1 registered, 16 guests)
DOS ain't dead | Admin contact
RSS Feed
powered by my little forum